# List transfers

Endpoint: GET /v1/domains/{domainId}/transactions/transfers
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "transactionId", "tickerId", "quarantined", "value", "kind", "registeredAt"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `transactionId` (string)
    Return entities matching given transactionId.
    Example: "90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b"

  - `tickerId` (string)
    Return entities matching given tickerId.
    Example: "fdeeeb4b-f987-4ec4-9880-1eb280581d49"

  - `quarantineStatus` (string)
    Return entities matching given quarantine status. Values: Quarantined, Released, Skipped.
    Enum: "Quarantined", "Released", "Skipped"

  - `kind` (string)
    Return entities matching given kind.
    Enum: "Transfer", "Fee", "Recovery"

  - `accountId` (string)
    Return entities matching given accountId.
    Example: "8e92eb53-40e7-4809-bb52-7e7b3b41a4be"

  - `recipient.accountId` (array)
    Return entities matching given recipient accountIds.
    Example: ["8e92eb53-40e7-4809-bb52-7e7b3b41a4be","f2dd81b0-374f-41b1-800e-b18dff241e3a"]

  - `registeredAt.lt` (string)
    Return only results registered before the given date/time (lt=less than)
    Example: "2022-11-22T14:06:00.0000000+00:00"

  - `registeredAt.gt` (string)
    Return only results registered after the given date/time (gt=greater than)
    Example: "2022-11-22T14:06:00.0000000+00:00"

  - `recipient.addressDetails.address` (array)
    Return results where recipient's address contains or equals provided address.
    Example: ["mnRxKt2zGV89qJ9rG9SLCbzD6ZMsbGvU6Z","mtMNbaxSdWMYRjmkwumCykV7x5kVVtjGhH"]

  - `ticker.ledgerId` (array)
    Return entities matching given ledger.
    Example: ["1234567","abcdefg"]

  - `ticker.validationStatus` (string)
    Return transfers with ticker matching the requested validation status
    Enum: "Validated", "NonValidated"

  - `ticker.lock` (array)
    Return transfers with ticker matching given lock status.
    Enum: "Unlocked", "Locked", "Archived"

  - `quarantined` (boolean)
    Deprecated: use quarantineStatus instead. Return entities matching given quarantined status.
    Example: "true"

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.transactionId` (string)

  - `items.tickerId` (string, required)

  - `items.quarantineStatus` (string)
    Enum: "Quarantined", "Released", "Skipped"

  - `items.senders` (array, required)

  - `items.recipient` (any)

  - `items.value` (string, required)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `items.kind` (string, required)
    Enum: "Transfer", "Fee", "Recovery"

  - `items.registeredAt` (string, required)

  - `items.metadata` (any, required)

  - `items.quarantined` (boolean, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 400 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


